### A free/open-source library for quantitative finance

Public Member Functions
BTP Class Reference
Financial instruments

Italian BTP (Buono Poliennali del Tesoro) fixed rate bond. More...

`#include <ql/instruments/bonds/btp.hpp>`

Inheritance diagram for BTP:
[legend]

List of all members.

## Public Member Functions

| BTP (const Date &maturityDate, Rate fixedRate, const Date &startDate=Date(), const Date &issueDate=Date())
| BTP (const Date &maturityDate, Rate fixedRate, Real redemption, const Date &startDate=Date(), const Date &issueDate=Date())
Rate | yield (Real cleanPrice, Date settlementDate=Date(), Real accuracy=1.0e-8, Size maxEvaluations=100) const
| BTP yield given a (clean) price and settlement date.

## Detailed Description

Italian BTP (Buono Poliennali del Tesoro) fixed rate bond.

## Constructor & Destructor Documentation

BTP | ( | const Date & | maturityDate,
|  | Rate | fixedRate,
|  | Real | redemption,
|  | const Date & | startDate = `Date()`,
|  | const Date & | issueDate = `Date()`
| ) |  |

constructor needed for legacy non-par redemption BTPs. As of today the only remaining one is IT123456789012 that will redeem 99.999 on xx-may-2037

## Member Function Documentation

Rate yield | ( | Real | cleanPrice,
|  | Date | settlementDate = `Date()`,
|  | Real | accuracy = `1.0e-8`,
|  | Size | maxEvaluations = `100`
| ) |  | const

BTP yield given a (clean) price and settlement date.

The default BTP conventions are used: Actual/Actual (ISMA), Compounded, Annual. The default bond settlement is used if no date is given.